/*
 * A basic interface for reconstruction classes
 */

package error;

import edu.unh.sdb.datasource.DataBlock;
import edu.unh.sdb.datasource.DataCollection;
import edu.unh.sdb.datasource.ISBounds;

/**
 * 
 * A basic interface for reconstruction classes
 * 
 * @author svohr
 */
public interface Reconstructor {
    
    /**
     * 
     * @param original the original error cell
     * @return the reconstructed error cell.
     */

    public DataBlock reconstruct ( DataCollection inData, ISBounds base, 
                                   int resolution, DataBlock outData, ISBounds region );

}
