/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package error;

import edu.unh.sdb.datasource.ISBounds;

/**
 *
 * @author svohr
 */
public class UniformCoords extends Coords {


    public int[] lowResToBase(int res, int[] point)
    {
        int factor = 1 << (res + 1); // 2 ^ (res + 1), c style!
        for (int i=0; i<point.length; i++) {
            point[i] *= factor;
        }
        return point;
    }


    public int lowResToBase1d(int res, int p) {
        int factor = 1 << (res + 1); // 2 ^ (res + 1), c style!
        return p * factor;
    }


    public ISBounds baseToLowRes(int res, ISBounds b)
    {
        
        int [] lower = b.copyLowerArray();
        int [] upper = b.copyUpperArray();
        
        int factor = 1 << (res + 1);

        for ( int i=0; i<lower.length; i++ ) {
            
            lower[i] = (lower[i] + (factor/2)) / factor;
            upper[i] = (upper[i] - (factor/2) + 1) / factor;

            
            if (lower[i] > upper[i])
                return null;
        }
        
        return new ISBounds (lower, upper);
    }

}
