/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package error;

import edu.unh.sdb.datasource.ISBounds;

/**
 *
 * @author svohr
 */
public class UniformSupport extends Support {

    public UniformSupport ( )
    {
        
    }
    
    public ISBounds supportForOrigPoint ( int resolution, int[] point ) {
        int [] lower = new int[3];
        int [] upper = new int[3];
        
        int q = (int)(Math.pow(2.,resolution));
        
        for (int i=0; i<point.length; i++) {
            lower[i] = point[i] / q;
            upper[i] = lower[i];
            if ( lower[i] != point[i] ) {
                upper[i] += 1;
            }
        }
        
        return new ISBounds (lower, upper);
    }

}
