/*
 * D4Wavelet.java
 *
 * Created on May 30, 2009, 10:43 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package wavelet;

/**
 *
 * @author rdb
 */
public class D4Wavelet extends Wavelet
{
   //------------------ class variables --------------------------
   //------------------ instance  variables ----------------------
   
   //------------------ constructors -----------------------------
   /** Creates a new instance of D4Wavelet */
   public D4Wavelet( int dim )
   {
      super( dim );
      support = 4;
      sumCoeff = new float[ support ];
      sumCoeff[ 0 ] =  0.4829629131445341f;
      sumCoeff[ 1 ] =  0.8365163037378079f;
      sumCoeff[ 2 ] =  0.2241438680420134f;
      sumCoeff[ 3 ] = -0.1294095225512604f;
       
      // detail coefficients are the same as summary except in
      //  reverse order and a sign change for every other coefficient
      // 
      detCoeff = new float[ support ];
      detCoeff[ 0 ] = -0.1294095225512604f;
      detCoeff[ 1 ] = -0.2241438680420134f;
      detCoeff[ 2 ] =  0.8365163037378079f;
      detCoeff[ 3 ] = -0.4829629131445341f;
      
      computeFactors();
   }
      
}
