/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package error;

import edu.unh.sdb.datasource.ISBounds;

/**
 *
 * @author svohr
 */
public class WaveletSupport extends Support {

    public WaveletSupport ( )
    {

    }

    public ISBounds supportForOrigPoint ( int resolution, int[] point ) {
        int [] lower = new int[3];
        int [] upper = new int[3];
        
        int q = (int)(Math.pow(2.,resolution-1));
        
        for (int i=0; i<point.length; i++) {
            if ( point[i] < q ) {
                // special case for edge issues.
                lower[i] = 0;
                upper[i] = 0;
            }
            else {
                upper[i] = ( point[i] + q ) / (2*q);
                lower[i] = upper[i] - 1;
            }
        }
        
        return new ISBounds (lower, upper);
    }

}
