/*
 * HaarWavelet.java
 *
 * Created on May 30, 2009, 10:15 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package wavelet;


/**
 *
 * @author rdb
 */
public class HaarWavelet extends Wavelet
{
   //------------------ class variables --------------------------
   //------------------ instance  variables ----------------------
   
   //------------------ constructors -----------------------------
   /** Creates a new instance of HaarWavelet */
   public HaarWavelet( int dim )
   {
      super( dim );
      support = 2;
      sumCoeff = new float[ support ];
      sumCoeff[ 0 ] = 0.7071067811865475f;
      sumCoeff[ 1 ] = 0.7071067811865475f;
      System.out.println( "Haar: " + sumCoeff[ 0 ] + " " + divisor );
      
      detCoeff = new float[ support ];
      detCoeff[ 0 ] = 0.7071067811865475f;
      detCoeff[ 1 ] = -0.7071067811865475f; 
      
      computeFactors();      
   }
    
}
